import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
}
def timestamp = new Date().format("MM_dd_HH_mm")
android {
    namespace 'com.led.scroller.barrage.banner'
    compileSdk 36

    defaultConfig {
        applicationId "com.led.scroller.barrage.banner"
        minSdk 24
        targetSdk 36
        versionCode 1
        versionName "1.0"
        setProperty(
                "archivesBaseName",
                "LED Scroller_V" + versionName + "(${versionCode})_$timestamp"
        )
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        vectorDrawables {
            useSupportLibrary true
        }
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_11
        targetCompatibility JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = "11"
    }
    buildFeatures {
        viewBinding true
        buildConfig = true
    }
    packagingOptions {
        resources {
            excludes += '/META-INF/{AL2.0,LGPL2.1}'
        }
    }
}

dependencies {
    implementation 'androidx.core:core-ktx:1.17.0'
    implementation 'androidx.lifecycle:lifecycle-runtime-ktx:2.9.4'
    implementation 'androidx.appcompat:appcompat:1.7.1'
    implementation fileTree(dir: 'libs', include: ['*.jar','*.aar'])
    implementation 'com.google.android.material:material:1.13.0'
    implementation 'androidx.activity:activity-ktx:1.11.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.2.1'
}